-- replace 'barbier' by your own account id. within Oracle
create schema authorization barbier
create table Detenu(
n_ecrou Varchar(10),
prenom Varchar(30),
nom Varchar(30),
date_naissance Date,
lieu_naissance Varchar(30),
constraint Detenu_key primary key(n_ecrou))
create table Affaire(
n_affaire Varchar(10),
nom_juridiction Varchar(30),
date_faits Date,
constraint Affaire_key primary key(n_affaire,nom_juridiction))
create table Detenu_Affaire(
n_ecrou Varchar(10),
n_affaire Varchar(10),
nom_juridiction Varchar(30),
constraint Detenu_Affaire_key primary key(n_ecrou,n_affaire,nom_juridiction),
constraint Detenu_Affaire_foreign_key foreign key(n_ecrou) references Detenu(n_ecrou),
constraint Detenu_Affaire_foreign_key2 foreign key(n_affaire,nom_juridiction) references Affaire(n_affaire,nom_juridiction))
create table Motif(
n_motif Varchar(10),
libelle_motif Varchar(50) not null,
constraint Motif_key primary key(n_motif),
constraint Motif_unique unique(libelle_motif))
create table Incarceration(
n_ecrou Varchar(10),
n_affaire Varchar(10) not null,
nom_juridiction Varchar(30) not null,
date_incarceration Date,
n_motif Varchar(10),
constraint Incarceration_key primary key(n_ecrou),
constraint Incarceration_foreign_key foreign key(n_ecrou,n_affaire,nom_juridiction) references Detenu_Affaire(n_ecrou,n_affaire,nom_juridiction),
constraint Incarceration_foreign_key2 foreign key(n_motif) references Motif(n_motif))
create table Decision(
n_type_decision varchar(1),
n_ecrou Varchar(10),
date_decision Date,
constraint Decision_key primary key(n_type_decision,n_ecrou,date_decision),
constraint Decision_fk foreign key(n_ecrou) references Detenu(n_ecrou))
create table Condamnation(
n_type_decision varchar(1),
n_ecrou Varchar(10),
date_decision Date,
duree Integer,
constraint Condamnation_key primary key(n_type_decision,n_ecrou,date_decision),
constraint Condamnation_fk foreign key(n_type_decision,n_ecrou,date_decision) references Decision(n_type_decision,n_ecrou,date_decision) on delete cascade)
create table Reduction_peine(
n_type_decision varchar(1),
n_ecrou Varchar(10),
date_decision Date,
duree Integer,
constraint Reduction_peine_key primary key(n_type_decision,n_ecrou,date_decision),
constraint Reduction_peine_fk foreign key(n_type_decision,n_ecrou,date_decision) references Decision(n_type_decision,n_ecrou,date_decision) on delete cascade)
create table Liberation_definitive(
n_type_decision varchar(1),
n_ecrou Varchar(10),
date_decision Date,
date_liberation Date,
constraint Liberation_definitive_key primary key(n_type_decision,n_ecrou,date_decision),
constraint Liberation_definitive_fk foreign key(n_type_decision,n_ecrou,date_decision) references Decision(n_type_decision,n_ecrou,date_decision) on delete cascade);
